package com.zswc.creativity.activity

import android.os.Bundle
import com.zswc.creativity.base.MBActivity
import com.zswc.creativity.databinding.*
import com.zswc.creativity.vmodel.*

/**
 * 订单详情/已转赠
 *Created by shihuiyun
 */
class GiftOrderActivity : MBActivity<GiftOrderVModel, ActivityGiftOrderBinding>() {

    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)
        var orderid=intent?.extras?.getString("orderid")
        vm.getOrderDetals(orderid)

    }

    override fun binding(): ActivityGiftOrderBinding {
       return ActivityGiftOrderBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<GiftOrderVModel> {
        return GiftOrderVModel::class.java
    }
    override fun transluent(): Boolean {
        return true
    }

    override fun title(): String? {
        return null
    }


}
